# WARNING: This package is synced with FC
%global apiversion	0.1
%define major	1
%define libname	%mklibname e-book %{apiversion} %{major}
%define devname	%mklibname -d e-book

Name: libe-book
Version: 0.1.3
Release: %mkrel 13
Summary: A library for import of non-HTML reflowable e-book formats

Group: System/Libraries
License: MPLv2.0
URL: https://sourceforge.net/projects/libebook/
Source: https://downloads.sourceforge.net/libebook/%{name}-%{version}.tar.xz
Patch0: libe-book-0.1.3-icu-true.patch

BuildRequires: boost-devel
BuildRequires: doxygen
BuildRequires: gperf
BuildRequires: help2man
BuildRequires: pkgconfig(cppunit)
BuildRequires: pkgconfig(icu-i18n)
BuildRequires: pkgconfig(liblangtag)
BuildRequires: pkgconfig(librevenge-0.0)
BuildRequires: pkgconfig(librevenge-generators-0.0)
BuildRequires: pkgconfig(librevenge-stream-0.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(zlib)

%description
%{name} is a library for import of reflowable e-book formats.
Currently supported are PalmDoc, TealDoc, Plucker eBook, eReader eBook,
FictionBook v.2, TCR, zTXT and Broad Band eBook (LRF).

%package -n %libname
Summary: A library for import of non-HTML reflowable e-book formats
Group: System/Libraries
Obsoletes: %{_lib}e-book0 < 0.0.3-2

%description -n %libname
%{name} is a library for import of reflowable e-book formats.
Currently supported are PalmDoc, TealDoc, Plucker eBook, eReader eBook,
FictionBook v.2, TCR, zTXT and Broad Band eBook (LRF).

%package -n %devname
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: libe-book-devel

%description -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group: Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package tools
Summary: Tools to transform e-books into other formats
Group: Office/Utilities
Requires: %{libname} = %{version}-%{release}

%description tools
Tools to transform e-books into other formats.
Currently supported: XHTML, raw, text.

%prep
%autosetup -p1

%build
%configure --disable-silent-rules --disable-static
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la
# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}

# generate and install man pages
export LD_LIBRARY_PATH=%{buildroot}/%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
for tool in ebook2html ebook2raw ebook2text; do
    help2man -N -S '%{name} %{version}' -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
done
install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 ebook2*.1 %{buildroot}/%{_mandir}/man1


%check
export LD_LIBRARY_PATH=%{buildroot}/%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
%make_build check

%files -n %libname
%doc AUTHORS NEWS README
%license COPYING
%{_libdir}/%{name}-%{apiversion}.so.%{major}
%{_libdir}/%{name}-%{apiversion}.so.%{major}.*

%files -n %devname
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%license COPYING
%doc docs/doxygen/html

%files tools
%{_bindir}/ebook2raw
%{_bindir}/ebook2text
%{_bindir}/ebook2html
%{_mandir}/man1/ebook2html.1*
%{_mandir}/man1/ebook2raw.1*
%{_mandir}/man1/ebook2text.1*


%changelog
* Sat Jan 07 2023 squidf <squidf> 0.1.3-13.mga9
+ Revision: 1931135
- Mass rebuild for icu 72.1

* Sat Jun 18 2022 squidf <squidf> 0.1.3-12.mga9
+ Revision: 1864865
- rebuild for icu 71.1

* Sat Apr 02 2022 umeabot <umeabot> 0.1.3-11.mga9
+ Revision: 1840742
- Mageia 9 Mass Rebuild

* Tue Aug 03 2021 luigiwalser <luigiwalser> 0.1.3-10.mga9
+ Revision: 1738937
- rebuild for icu

* Mon Nov 30 2020 luigiwalser <luigiwalser> 0.1.3-9.mga8
+ Revision: 1651025
- ICU 68 uses standard C++ bool true
- rebuild for icu

* Wed Jul 01 2020 wally <wally> 0.1.3-8.mga8
+ Revision: 1601033
- rebuild for icu 67.1

* Sat Apr 04 2020 wally <wally> 0.1.3-7.mga8
+ Revision: 1564469
- rebuild for new icu 66.1

* Sun Feb 16 2020 umeabot <umeabot> 0.1.3-6.mga8
+ Revision: 1534577
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sat Oct 05 2019 daviddavid <daviddavid> 0.1.3-5.mga8
+ Revision: 1449441
- rebuild for new icu 65.1

* Sat Dec 29 2018 luigiwalser <luigiwalser> 0.1.3-4.mga7
+ Revision: 1346100
- rebuild for icu

* Sun Sep 23 2018 umeabot <umeabot> 0.1.3-3.mga7
+ Revision: 1298819
- Mageia 7 Mass Rebuild

* Mon Aug 20 2018 tv <tv> 0.1.3-2.mga7
+ Revision: 1252947
- rebuild for new libicu

* Wed Feb 07 2018 tv <tv> 0.1.3-1.mga7
+ Revision: 1199452
- new release

* Fri Dec 29 2017 wally <wally> 0.1.2-11.mga7
+ Revision: 1186983
- rebuild for new icu

* Thu Mar 16 2017 mrambo3501 <mrambo3501> 0.1.2-10.mga6
+ Revision: 1093091
- Rebuild for icu-58.2

* Mon Sep 19 2016 tv <tv> 0.1.2-9.mga6
+ Revision: 1054321
- use %%license
- add man pages
- use %%autosetup
- update description
- fix license
- remove useless libwpd BR

* Sat May 14 2016 shlomif <shlomif> 0.1.2-8.mga6
+ Revision: 1015291
- Rebuild for the new UCI (new major)

* Fri May 13 2016 barjac <barjac> 0.1.2-7.mga6
+ Revision: 1015044
- Rebuild for ICU

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.1.2-6.mga6
+ Revision: 917908
- rebuild for icu

* Fri Dec 25 2015 tv <tv> 0.1.2-5.mga6
+ Revision: 914735
- rebuild for new boost 1.60

* Fri Sep 25 2015 tv <tv> 0.1.2-4.mga6
+ Revision: 883499
- rebuild for new boost
- fix build with boost 1.59

* Wed Aug 26 2015 tv <tv> 0.1.2-3.mga6
+ Revision: 869840
- rebuild with gcc5

* Sat Jul 25 2015 cjw <cjw> 0.1.2-2.mga6
+ Revision: 857266
- rebuild for icu 55

* Sun Jun 21 2015 tv <tv> 0.1.2-1.mga6
+ Revision: 837836
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-3.mga5
+ Revision: 740338
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-2.mga5
+ Revision: 681435
- Mageia 5 Mass Rebuild

* Thu Jul 31 2014 tv <tv> 0.1.1-1.mga5
+ Revision: 658637
- adjust file list
- fix install
- bump major
- new release

* Sat Apr 05 2014 wally <wally> 0.0.3-2.mga5
+ Revision: 611852
- fix lib pkg name
- rebuild for new icu

* Fri Feb 28 2014 tv <tv> 0.0.3-1.mga5
+ Revision: 597938
- new release

* Thu Feb 06 2014 tv <tv> 0.0.2-2.mga5
+ Revision: 584326
- add devel provides

* Thu Feb 06 2014 tv <tv> 0.0.2-1.mga5
+ Revision: 584292
- imported package libe-book


* Thu Feb 06 2014 Thierry Vignaud <tv@mageia.org> 0.0.2-1.mga5
- initial import (from FC)
